#ifndef CLIENT_H
#define CLIENT_H

#include <QObject>
#include <QTcpSocket>
#include <QUdpSocket>
#include <QStringList>

class Client : public QObject
{
    Q_OBJECT
public:
    explicit Client(QString address, int port, QString OSCAddress, int OSCport, QStringList labels);

signals:

public slots:

private slots:
    void readFeatureData();
    void onError();
private:
    QTcpSocket _tcpSock;
    QUdpSocket _udpSock;
    QString _OSCAddress;
    int _OSCport;
    QStringList _featureLabels;
};

#endif // CLIENT_H
